### Method

# Gimp Image set_selected_vectors

unstable since: 3.0.0

#### Declaration [src]

    gboolean
    gimp_image_set_selected_vectors (
      GimpImage* image,
      gint num_vectors,
      const GimpVectors** vectors
    )

#### Description [src]

Sets the specified image’s selected vectors.

The vectors are set as the selected vectors in the image.

Available since: 3.0.0

#### Parameters

`num_vectors`

  Type: `gint`

  The number of vectors to select.

`vectors`

  Type: An array of `None`

  The list of vectors to select.

  The length of the array is specified in the `num_vectors` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.